# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# This file is in the public domain
### END LICENSE

import subprocess
import locale
from locale import gettext as _
locale.bindtextdomain('mangui', '/opt/extras.ubuntu.com/mangui/share/locale')
locale.textdomain('mangui')

from gi.repository import Gtk # pylint: disable=E0611
import logging
logger = logging.getLogger('mangui')

from mangui_lib import Window
from mangui.AboutManguiDialog import AboutManguiDialog
from mangui.PreferencesManguiDialog import PreferencesManguiDialog

# See mangui_lib.Window.py for more details about how this class works
class ManguiWindow(Window):
    __gtype_name__ = "ManguiWindow"
    
    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the main window"""
        super(ManguiWindow, self).finish_initializing(builder)

        self.AboutDialog = AboutManguiDialog
        self.PreferencesDialog = PreferencesManguiDialog

        # Code for other initialization actions should be added here.
        
    def on_man_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/mancommand.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)

    def on_locate_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/locate.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
    def on_listcommands_clicked(self, widget):
        command = "ls -all /bin /sbin /usr/bin /usr/sbin /usr/local/bin /usr/local/sbin"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
        
    def on_locatexpr_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/locatexpr.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
        
    def on_whereis_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/whereis.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
        
    def on_locatecommand_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/locatecommand.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
    def on_whatis_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/whatis.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
        
    def on_version_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/version.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
        
    def on_help_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/helpman.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result)
        
    def on_info_clicked(self, widget):
        command = "/opt/extras.ubuntu.com/mangui/share/mangui/scripts/info.sh"
        self.writetest = self.builder.get_object("textview1")

        buffer = self.writetest.get_buffer()
        result = subprocess.check_output(command.split())
        buffer.set_text(result) 
        
        
